# Create Contacts

> Source: https://truto.one/docs/api-reference/unified-ticketing-api/contacts/create/

`POST /unified/ticketing/contacts`

Resource: **Contacts** · API: **Unified Ticketing API**

## Supported integrations

Dixa, Enchant, Front, Gorgias, HappyFox, Help Scout, LiveChat, Productboard, Quickbase for Project Management, Re:amaze, SurveySparrow Ticket Management, Zendesk, Zoho Desk

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.

## Request body

- **`name`** _(string)_
  The name of the contact
- **`emails`** _(array<object>)_
  The emails of the contact
  - **`email`** _(string, required)_
    The email of the contact
  - **`type`** _(string, required)_
    The type of the email
    Allowed: `primary`, `other`, `home`, `work`, `other`, `primary`, `secondary`
- **`first_name`** _(string)_
  The first name of the contact
- **`last_name`** _(string)_
  The last name of the contact
- **`avatar`** _(unknown)_
- **`phones`** _(array<object>)_
  The phone numbers of the contact
  - **`number`** _(string, required)_
    The phone of the contact
  - **`extension`** _(string)_
    The extension of the phone number
  - **`type`** _(string, required)_
    The type of the phone
    Allowed: `phone`, `other`, `home`, `work`, `other`, `mobile`, `phone`, `mobile`, `phone`
- **`details`** _(string)_
  The details of the contact
- **`custom_fields`** _(object)_
  All the custom fields present on the contact
- **`account_id`** _(string)_
  The account id of the contact
- **`remote_data`** _(object)_
  Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

## Response body

- **`id`** _(string, required)_
  The unique identifier for a contact
- **`first_name`** _(string)_
  The first name of the contact
- **`last_name`** _(string)_
  The last name of the contact
- **`name`** _(string)_
  The name of the contact
- **`emails`** _(array<object>)_
  The emails of the contact
  - **`email`** _(string, required)_
    The email of the contact
  - **`type`** _(string)_
    The type of the email
- **`phones`** _(array<object>)_
  The phone numbers of the contact
  - **`number`** _(string)_
    The phone of the contact
  - **`extension`** _(string)_
    The extension of the phone number
  - **`type`** _(string)_
    The type of the phone
- **`details`** _(string)_
  The details of the contact
- **`account_id`** _(string)_
  The account id of the contact
- **`created_at`** _(string)_
  The date the contact was created
- **`updated_at`** _(string)_
  The date the contact was last updated
- **`etag`** _(string)_
  The unique identifier for the specific version of the resource.
- **`custom_fields`** _(object)_
  All the custom fields present on the contact
- **`is_active`** _(boolean)_
  Whether the contact is active or not
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X POST 'https://api.truto.one/unified/ticketing/contacts?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "your_name",
  "emails": [],
  "first_name": "your_first_name",
  "last_name": "your_last_name",
  "phones": [],
  "details": "your_details",
  "custom_fields": {},
  "account_id": "your_account_id",
  "remote_data": {}
}'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const body = {
  "name": "your_name",
  "emails": [],
  "first_name": "your_first_name",
  "last_name": "your_last_name",
  "phones": [],
  "details": "your_details",
  "custom_fields": {},
  "account_id": "your_account_id",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ticketing/contacts?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/ticketing/contacts"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "name": "your_name",
    "emails": [],
    "first_name": "your_first_name",
    "last_name": "your_last_name",
    "phones": [],
    "details": "your_details",
    "custom_fields": {},
    "account_id": "your_account_id",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'ticketing',
  'contacts',
  {
  "name": "your_name",
  "emails": [],
  "first_name": "your_first_name",
  "last_name": "your_last_name",
  "phones": [],
  "details": "your_details",
  "custom_fields": {},
  "account_id": "your_account_id",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "ticketing",
        "contacts",
        {
        "name": "your_name",
        "emails": [],
        "first_name": "your_first_name",
        "last_name": "your_last_name",
        "phones": [],
        "details": "your_details",
        "custom_fields": {},
        "account_id": "your_account_id",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
